## Scripts

### Python
(To see detailed usage, add `--help` as an argument when running the script.)

* `rp_get_sayma_data.py`: Acquire and save data from RedPitayas over local network
* `plot_sayma_data.py`: Load saved data and output phase skew analysis and data plots

### Shell

* `mch_start`: Power on the MCH and start logging serial outputs from Metlino and Saymas
* `mch_stop`: Power off the MCH and stop logging serial outputs from Metlino and Saymas
* `rp_start_uhubctl`: Power on a RedPitaya connected to a smart USB hub on a computer, using [`uhubctl`](https://github.com/mvp/uhubctl)
* `rp_stop_uhubctl`: Safely power off a RedPitaya connected to a smart USB hub on a computer, using `uhubctl`
* `get_and_plot_sayma_data`: Acquire and analyse data from RedPitayas over local network
* `get_and_plot_remote_sayma_data`: Acquire and analyse data from remote RedPitayas via SSH (often over different networks) to the local file system
  * Requires Python testsuite scripts present on the remote host

